package com.xmomen.module.job.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TbJobOperationLogExample extends BaseMybatisExample {
    // 排序字段
    protected String orderByClause;

    // 是否去重
    protected boolean distinct;

    // 查询条件
    protected List<Criteria> oredCriteria;

    public TbJobOperationLogExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置排序字段
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取排序字段
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置是否去重
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取是否去重
    public boolean isDistinct() {
        return distinct;
    }

    // 获取查询条件
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空查询条件
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // 生成查询条件
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断查询条件是否有效
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 添加id查询条件
        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        // 添加id查询条件
        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        // 添加id查询条件
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        // 添加id查询条件
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        // 添加id查询条件
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        // 添加id查询条件
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        // 添加id查询条件
        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        // 添加id查询条件
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        // 添加id查询条件
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        // 添加id查询条件
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        // 添加id查询条件
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        // 添加id查询条件
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 添加jobId查询条件
        public Criteria andJobIdIsNull() {
            addCriterion("job_id is null");
            return (Criteria) this;
        }

        // 添加jobId查询条件
        public Criteria andJobIdIsNotNull() {
            addCriterion("job_id is not null");
            return (Criteria) this;
        }

        // 添加jobId查询条件
        public Criteria andJobIdEqualTo(Integer value) {
            addCriterion("job_id =", value, "jobId");
            return (Criteria) this;
        }

        // 添加jobId查询条件
        public Criteria andJobIdNotEqualTo(Integer value) {
            addCriterion("job_id <>", value, "jobId");
            return (Criteria) this;
        }

        // 添加jobId查询条件
        public Criteria andJobIdGreaterThan(Integer value) {
            addCriterion("job_id >", value, "jobId");
            return (Criteria) this;
        }

        // 添加jobId查询条件
        public Criteria andJobIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("job_id >=", value, "jobId");
            return (Criteria) this;
        }

        // 添加jobId查询条件
        public Criteria andJobIdLessThan(Integer value) {
            addCriterion("job_id <", value, "jobId");
            return (Criteria) this;
        }

        // 添加jobId查询条件
        public Criteria andJobIdLessThanOrEqualTo(Integer value) {
            addCriterion("job_id <=", value, "jobId");
            return (Criteria) this;
        }

        // 添加jobId查询条件
        public Criteria andJobIdIn(List<Integer> values) {
            addCriterion("job_id in", values, "jobId");
            return (Criteria) this;
        }

        // 添加jobId查询条件
        public Criteria andJobIdNotIn(List<Integer> values) {
            addCriterion("job_id not in", values, "jobId");
            return (Criteria) this;
        }

        // 添加jobId查询条件
        public Criteria andJobIdBetween(Integer value1, Integer value2) {
            addCriterion("job_id between", value1, value2, "jobId");
            return (Criteria) this;
        }

        // 添加jobId查询条件
        public Criteria andJobIdNotBetween(Integer value1, Integer value2) {
            addCriterion("job_id not between", value1, value2, "jobId");
            return (Criteria) this;
        }

        // 添加jobUser查询条件
        public Criteria andJobUserIsNull() {
            addCriterion("job_user is null");
            return (Criteria) this;
        }

        // 添加jobUser查询条件
        public Criteria andJobUserIsNotNull() {
            addCriterion("job_user is not null");
            return (Criteria) this;
        }

        // 添加jobUser查询条件
        public Criteria andJobUserEqualTo(Integer value) {
            addCriterion("job_user =", value, "jobUser");
            return (Criteria) this;
        }

        // 添加jobUser查询条件
        public Criteria andJobUserNotEqualTo(Integer value) {
            addCriterion("job_user <>", value, "jobUser");
            return (Criteria) this;
        }

        // 添加jobUser查询条件
        public Criteria andJobUserGreaterThan(Integer value) {
            addCriterion("job_user >", value, "jobUser");
            return (Criteria) this;
        }

        // 添加jobUser查询条件
        public Criteria andJobUserGreaterThanOrEqualTo(Integer value) {
            addCriterion("job_user >=", value, "jobUser");
            return (Criteria) this;
        }

        // 添加jobUser查询条件
        public Criteria andJobUserLessThan(Integer value) {
            addCriterion("job_user <", value, "jobUser");
            return (Criteria) this;
        }

        // 添加jobUser查询条件
        public Criteria andJobUserLessThanOrEqualTo(Integer value) {
            addCriterion("job_user <=", value, "jobUser");
            return (Criteria) this;
        }

        // 添加jobUser查询条件
        public Criteria andJobUserIn(List<Integer> values) {
            addCriterion("job_user in", values, "jobUser");
            return (Criteria) this;
        }

        // 添加jobUser查询条件
        public Criteria andJobUserNotIn(List<Integer> values) {
            addCriterion("job_user not in", values, "jobUser");
            return (Criteria) this;
        }

        // 添加jobUser查询条件
        public Criteria andJobUserBetween(Integer value1, Integer value2) {
            addCriterion("job_user between", value1, value2, "jobUser");
            return (Criteria) this;
        }

        // 添加jobUser查询条件
        public Criteria andJobUserNotBetween(Integer value1, Integer value2) {
            addCriterion("job_user not between", value1, value2, "jobUser");
            return (Criteria) this;
        }

        // 添加jobTime查询条件
        public Criteria andJobTimeIsNull() {
            addCriterion("job_time is null");
            return (Criteria) this;
        }

        // 添加jobTime查询条件
        public Criteria andJobTimeIsNotNull() {
            addCriterion("job_time is not null");
            return (Criteria) this;
        }

        // 添加jobTime查询条件
        public Criteria andJobTimeEqualTo(Date value) {
            addCriterion("job_time =", value, "jobTime");
            return (Criteria) this;
        }

        // 添加jobTime查询条件
        public Criteria andJobTimeNotEqualTo(Date value) {
            addCriterion("job_time <>", value, "jobTime");
            return (Criteria) this;
        }

        // 添加jobTime查询条件
        public Criteria andJobTimeGreaterThan(Date value) {
            addCriterion("job_time >", value, "jobTime");
            return (Criteria) this;
        }

        // 添加jobTime查询条件
        public Criteria andJobTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("job_time >=", value, "jobTime");
            return (Criteria) this;
        }

        // 添加jobTime查询条件
        public Criteria andJobTimeLessThan(Date value) {
            addCriterion("job_time <", value, "jobTime");
            return (Criteria) this;
        }

        // 添加jobTime查询条件
        public Criteria andJobTimeLessThanOrEqualTo(Date value) {
            addCriterion("job_time <=", value, "jobTime");
            return (Criteria) this;
        }

        // 添加jobTime查询条件
        public Criteria andJobTimeIn(List<Date> values) {
            addCriterion("job_time in", values, "jobTime");
            return (Criteria) this;
        }

        // 添加jobTime查询条件
        public Criteria andJobTimeNotIn(List<Date> values) {
            addCriterion("job_time not in", values, "jobTime");
            return (Criteria) this;
        }

        // 添加jobTime查询条件
        public Criteria andJobTimeBetween(Date value1, Date value2) {
            addCriterion("job_time between", value1, value2, "jobTime");
            return (Criteria) this;
        }

        // 添加jobTime查询条件
        public Criteria andJobTimeNotBetween(Date value1, Date value2) {
            addCriterion("job_time not between", value1, value2, "jobTime");
            return (Criteria) this;
        }

        // 添加barCode查询条件
        public Criteria andBarCodeIsNull() {
            addCriterion("bar_code is null");
            return (Criteria) this;
        }

        // 添加barCode查询条件
        public Criteria andBarCodeIsNotNull() {
            addCriterion("bar_code is not null");
            return (Criteria) this;
        }

        // 添加barCode查询条件
        public Criteria andBarCodeEqualTo(String value) {
            addCriterion("bar_code =", value, "barCode");
            return (Criteria) this;
        }

        // 添加barCode查询条件
        public Criteria andBarCodeNotEqualTo(String value) {
            addCriterion("bar_code <>", value, "barCode");
            return (Criteria) this;
        }

        // 添加barCode查询条件
        public Criteria andBarCodeGreaterThan(String value) {
            addCriterion("bar_code >", value, "barCode");
            return (Criteria) this;
        }

        // 添加barCode查询条件
        public Criteria andBarCodeGreaterThanOrEqualTo(String value) {
            addCriterion("bar_code >=", value, "barCode");
            return (Criteria) this;
        }

        // 添加barCode查询条件
        public Criteria andBarCodeLessThan(String value) {
            addCriterion("bar_code <", value, "barCode");
            return (Criteria) this;
        }

        // 添加barCode查询条件
        public Criteria andBarCodeLessThanOrEqualTo(String value) {
            addCriterion("bar_code <=", value, "barCode");
            return (Criteria) this;
        }

        // 添加barCode查询条件
        public Criteria andBarCodeLike(String value) {
            addCriterion("bar_code like", value, "barCode");
            return (Criteria) this;
        }

        // 添加barCode查询条件
        public Criteria andBarCodeNotLike(String value) {
            addCriterion("bar_code not like", value, "barCode");
            return (Criteria) this;
        }

        // 添加barCode查询条件
        public Criteria andBarCodeIn(List<String> values) {
            addCriterion("bar_code in", values, "barCode");
            return (Criteria) this;
        }

        // 添加barCode查询条件
        public Criteria andBarCodeNotIn(List<String> values) {
            addCriterion("bar_code not in", values, "barCode");
            return (Criteria) this;
        }

        // 添加barCode查询条件
        public Criteria andBarCodeBetween(String value1, String value2) {
            addCriterion("bar_code between", value1, value2, "barCode");
            return (Criteria) this;
        }

        // 添加barCode查询条件
        public Criteria andBarCodeNotBetween(String value1, String value2) {
            addCriterion("bar_code not between", value1, value2, "barCode");
            return (Criteria) this;
        }

        // 添加itemCode查询条件
        public Criteria andItemCodeIsNull() {
            addCriterion("item_code is null");
            return (Criteria) this;
        }

        // 添加itemCode查询条件
        public Criteria andItemCodeIsNotNull() {
            addCriterion("item_code is not null");
            return (Criteria) this;
        }

        // 添加itemCode查询条件
        public Criteria andItemCodeEqualTo(String value) {
            addCriterion("item_code =", value, "itemCode");
            return (Criteria) this;
        }

        // 添加itemCode查询条件
        public Criteria andItemCodeNotEqualTo(String value) {
            addCriterion("item_code <>", value, "itemCode");
            return (Criteria) this;
        }

        // 添加itemCode查询条件
        public Criteria andItemCodeGreaterThan(String value) {
            addCriterion("item_code >", value, "itemCode");
            return (Criteria) this;
        }

        // 添加itemCode查询条件
        public Criteria andItemCodeGreaterThanOrEqualTo(String value) {
            addCriterion("item_code >=", value, "itemCode");
            return (Criteria) this;
        }

        // 添加itemCode查询条件
        public Criteria andItemCodeLessThan(String value) {
            addCriterion("item_code <", value, "itemCode");
            return (Criteria) this;
        }

        // 添加itemCode查询条件
        public Criteria andItemCodeLessThanOrEqualTo(String value) {
            addCriterion("item_code <=", value, "itemCode");
            return (Criteria) this;
        }

        // 添加itemCode查询条件
        public Criteria andItemCodeLike(String value) {
            addCriterion("item_code like", value, "itemCode");
            return (Criteria) this;
        }

        // 添加itemCode查询条件
        public Criteria andItemCodeNotLike(String value) {
            addCriterion("item_code not like", value, "itemCode");
            return (Criteria) this;
        }

        // 添加itemCode查询条件
        public Criteria andItemCodeIn(List<String> values) {
            addCriterion("item_code in", values, "itemCode");
            return (Criteria) this;
        }

        // 添加itemCode查询条件
        public Criteria andItemCodeNotIn(List<String> values) {
            addCriterion("item_code not in", values, "itemCode");
            return (Criteria) this;
        }

        // 添加itemCode查询条件
        public Criteria andItemCodeBetween(String value1, String value2) {
            addCriterion("item_code between", value1, value2, "itemCode");
            return (Criteria) this;
        }

        // 添加itemCode查询条件
        public Criteria andItemCodeNotBetween(String value1, String value2) {
            addCriterion("item_code not between", value1, value2, "itemCode");
            return (Criteria) this;
        }
    }

    // 生成查询条件
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    // 生成查询条件
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        // 获取查询条件
        public String getCondition() {
            return condition;
        }

        // 获取查询条件
        public Object getValue() {
            return value;
        }

        // 获取查询条件
        public Object getSecondValue() {
            return secondValue;
        }

        // 判断查询条件是否为空
        public boolean isNoValue() {
            return noValue;
        }

        // 判断查询条件是否为单个值
        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}